Update Dashboard
Updates an existing dashboard
PUT
/
api
/
v2
/
dashboards
/
{id}
Update Dashboard
curl --request PUT \
--url https://api.hyperdx.io/api/v2/dashboards/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Dashboard Name",
"tiles": [
{
"id": "65f5e4a3b9e77c001a901234",
"name": "Updated Time Series Chart",
"x": 0,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"type": "time",
"dataSource": "events",
"aggFn": "count",
"where": "level:error",
"groupBy": []
}
]
},
{
"name": "New Number Chart",
"x": 6,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"type": "number",
"dataSource": "events",
"aggFn": "count",
"where": "level:info"
}
]
}
],
"tags": [
"production",
"updated"
]
}
'import requests
url = "https://api.hyperdx.io/api/v2/dashboards/{id}"
payload = {
"name": "Updated Dashboard Name",
"tiles": [
{
"id": "65f5e4a3b9e77c001a901234",
"name": "Updated Time Series Chart",
"x": 0,
"y": 0,
"w": 6,
"h": 3,
"asRatio": False,
"series": [
{
"type": "time",
"dataSource": "events",
"aggFn": "count",
"where": "level:error",
"groupBy": []
}
]
},
{
"name": "New Number Chart",
"x": 6,
"y": 0,
"w": 6,
"h": 3,
"asRatio": False,
"series": [
{
"type": "number",
"dataSource": "events",
"aggFn": "count",
"where": "level:info"
}
]
}
],
"tags": ["production", "updated"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Updated Dashboard Name',
tiles: [
{
id: '65f5e4a3b9e77c001a901234',
name: 'Updated Time Series Chart',
x: 0,
y: 0,
w: 6,
h: 3,
asRatio: false,
series: [
{
type: 'time',
dataSource: 'events',
aggFn: 'count',
where: 'level:error',
groupBy: []
}
]
},
{
name: 'New Number Chart',
x: 6,
y: 0,
w: 6,
h: 3,
asRatio: false,
series: [{type: 'number', dataSource: 'events', aggFn: 'count', where: 'level:info'}]
}
],
tags: ['production', 'updated']
})
};
fetch('https://api.hyperdx.io/api/v2/dashboards/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "65f5e4a3b9e77c001a567890",
"name": "Updated Dashboard Name",
"tiles": [
{
"id": "65f5e4a3b9e77c001a901234",
"name": "Updated Time Series Chart",
"x": 0,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"type": "time",
"dataSource": "events",
"aggFn": "count",
"where": "level:error",
"groupBy": []
}
]
},
{
"id": "65f5e4a3b9e77c001a901236",
"name": "New Number Chart",
"x": 6,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"type": "number",
"dataSource": "events",
"aggFn": "count",
"where": "level:info"
}
]
}
],
"tags": [
"production",
"updated"
]
}
}{
"message": "Unauthorized access. API key is missing or invalid."
}{
"message": "Dashboard not found"
}{
"message": "Invalid dashboard configuration"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Dashboard ID
Body
application/json
Response
Successfully updated dashboard
Show child attributes
Show child attributes
Last modified on July 3, 2026
Was this page helpful?
⌘I
Update Dashboard
